List CertView Certificates (v1)

For information on API version, refer to the API Version History section.

v1 | v1.1

v1

POST/certview/v1/certificates

Use these API functions to List CertView Certificates to retrieve a list of certificates based on an input filter query and list.

The response contains certificate details, including associated host information and SSL/TLS-related vulnerabilities and grades.

 You can see only the assets your manager user assigned. When you send an API request, you can access information about the assets and their corresponding certificates assigned to you, based on scope. For more information on tag-based user scoping, refer to Certificate View Online help.

Input ParametersInput Parameters

Parameter

Mandatory/Optional

Data Type

Description

filter 

Optional String

Filter the events list by providing a query using

Qualys syntax. Refer to the How to Search topic in the online

help for assistance with creating your query.

For example - expiryGroup: Expired

Refer to the list of tokens you can use to build the query:

Search tokens

pageNumber 

Optional Integer

The page to be returned. Starts from zero.

pageSize 

Optional Integer

Provide the number of records per page to be included in the response.

Default: 10.

Maximum: 200

For example, the total result set is 50 assets. If the page size is

specified as 10, then the result is divided in 5 pages with 10

assets each.

sort 

Optional String

Sort the results using a Qualys token.

For example - [{"lastFound":"desc"}]

Authorization 

Mandatory String

Authorization token to authenticate to the Qualys Cloud Platform.

Prepend token with "Bearer" and one space.

For example - Bearer authToken

certificateDetails 

Optional String

Define the level of certificate attributes you want to list. Default value basic is used to fetch commonly used attributes. Use value extended to fetch these additional attributes:

  • Serial number

  • Auth Key Identifier

  • Subject Key Identifier

  • Key Usage

  • Base64 certificate

  • Enhanced Key Usage

The enhancedKeyUsage attribute returns a list of OIDs in the EKU attribute of the certificate.

Some of the most commonly used OIDs are:

  • 1.3.6.1.5.5.7.3.1—Server Authentication

  • 1.3.6.1.5.5.7.3.2—Client Authentication

  • 1.3.6.1.5.5.7.3.3—Code Signing

  • 1.3.6.1.5.5.7.3.4—Email Protection

  • 1.3.6.1.5.5.7.3.8—Time Stamping

  • 1.3.6.1.5.5.7.3.9—OCSP Signing

 For more information, refer to http://www.oid-info.com/

Notes:

  • This API supports both new and old query formats. The following query example provides more details.

  • Example

    If you want to view the certificate with the asset name server1.

    Old Format

    asset.name:server1

    New Format

    asset:(name:server1)

  • To generate a CSV report for more than 10000 certificates, use scheduled reports from the Qualys Enterprise TruRisk™ Platform.

  • If the data you are looking for is unavailable in CSV reports, use an additional filter instead of requesting all certificates.

You can use the following filters for better results:

  • Last Found Date < 1 month/3months/6 months

  • Expiration Date < 1 yr/ between 1yr and 2 yrs/etc

  • Approved vs. Unapproved CAs vs. Self-signed CAs

Sample with all Parameters Defined Sample with all Parameters Defined

API Request

 curl -X POST 
"<qualys_base_url>/certview/v1/certificates" 
-H "Accept: application/json" 
-H "Content-Type: application/json" 
-d "{ \"filter\" : \"subject.name:www.qualys.com\", \"pageNumber\": 0, \"pageSize\" : 1}"
 -H "Authorization: Bearer <JWT Token>"
    

Response

[
    {
        "keySize": 2048,
        "subject": {
            "organization": "Qualys, Inc.",
            "locality": "Foster City",
            "name": "www.qualys.com",
            "state": "California",
            "country": "US",
            "organizationUnit": []
        },
        "validFrom": 1676246400000,
        "signatureAlgorithm": "SHA256withRSA",
        "issuer": {
            "organization": "DigiCert Inc",
            "organizationUnit": [
                "www.digicert.com"
            ],
            "name": "DigiCert SHA2 Extended Validation Server CA",
            "country": "US",
            "state": "",
            "certhash": "403e062a2653059113285baf80a0d4ae422c848c9f78fad01fc94bc5b87fef1a",
            "locality": ""
        },
        "rootissuer": {
            "organization": "DigiCert Inc",
            "organizationUnit": [
                "www.digicert.com"
            ],
            "name": "DigiCert High Assurance EV Root CA",
            "country": "US",
            "state": "",
            "certhash": "7431e5f4c3c1ce4690774f0b61e05440883ba9a01ed00ba6abd7806ed3b118cf",
            "locality": ""
        },
        "instanceCount": 2,
        "dn": "CN=www.qualys.com, O=\"Qualys, Inc.\", L=Foster
    City, ST=California, C=US, serialNumber=3152140,
    businessCategory=Private Organization, StateOrProvince=Delaware,
    CountryName=US","certhash": "192a86240c5ec5d87dd108f17e2543e78439101f193c99c53193f60d115b885d",
        "assets": [
            {
                "netbiosName": "",
                "assetId": "99f29795-4c11-49e1-8898-82e9982b0710",
                "name": "qualys.com",
                "operatingSystem": "NetScaler",
                "tags": [
                    {
                        "name": "Internet Facing Assets",
                        "uuid": "d2ba3be1-66a3-4d1f-89fadd534a2bccc1"
                    }
                ],
                "primaryIp": "64.39.xx.xxx",
                "hostInstances": [
                    {
                        "protocol": "tcp",
                        "sslProtocols": [
                            "TLSv1.2"
                        ],
                        "port": 443,
                        "grade": "A",
                        "service": "http",
                        "vulnerabilities": [],
                        "vulnCount": 0
                    }
                ],
                "created": 1680247510486,
                "updated": 1680247131000,
                "assetInterfaces": [
                    {
                        "hostname": "qualys.com",
                        "address": "64.39.xx.xxx"
                    }
                ],
                "certificateCount": 0
            },
            {
                "netbiosName": "",
                "assetId": "646c7aa5-cfdc-4294-bea7-d43664ac03f4",
                "name": "www.qualys.com",
                "operatingSystem": "NetScaler",
                "tags": [
                    {
                        "name": "Internet Facing Assets",
                        "uuid": "d2ba3be1-66a3-4d1f-89fadd534a2bccc1"
                    }
                ],
                "primaryIp": "64.39.xx.xxx",
                "hostInstances": [
                    {
                        "protocol": "tcp",
                        "sslProtocols": [
                            "TLSv1.2"
                        ],
                        "port": 443,
                        "grade": "A",
                        "service": "http",
                        "vulnerabilities": [],
                        "vulnCount": 0
                    }
                ],
                "created": 1675158036000,
                "updated": 1680254412000,
                "assetInterfaces": [
                    {
                        "hostname": "www.qualys.com",
                        "address": "64.39.xx.xxx"
                    }
                ],
                "certificateCount": 0
            }
        ],
        "selfSigned": false,
        "validTo": 1707868799000,
        "issuerCategory": "DigiCert SHA2 Extended Validation Server
    CA","subjectAlternativeNames": {
            "DNS Name": [
                "www.qualys.com",
                "qualys.com",
                "docs.qualys.com",
                "qualys.dk",
                "qualys.us",
                "qualys.de",
                "qualys.biz",
                "nemeannetworks.com",
                "qualys.fr",
                "www.qualys.eu",
                "qualys.io",
                "qualysguard.tw",
                "www.securityvibes.co.uk",
                "qualys.es",
                "qualysblog.net",
                "qualys.nl",
                "qualys.report",
                "qualysinsight.com",
                "qualysworks.net",
                "qualysguard.eu",
                "qualysguard.com",
                "qualys.eu",
                "www.qualysguard.eu"
            ],
            "IP Address": null
        },
        "lastFound": 1680256864611,
        "extendedValidation": true,
        "sources": [
            "VM",
            "QAGENT"
        ]
    }
]
    

Sample with Certificate Details Parameter set to BasicSample with Certificate Details Parameter set to Basic

API Request

 curl -X POST
 "<qualys_base_url>/certview/v1/certificates" -H "Accept: application/json" -H "Content-Type: application/json" -d "{ \"filter\" : \"subject.name:www.qualys.com\", \"pageNumber\": 0, \"pageSize\" : 1, \"certificateDetails\": \"basic\"}" -H "Authorization: Bearer <JWT Token>"
    

Response

[
    {
        "keySize": 2048,
        "subject": {
            "organization": "Qualys, Inc.",
            "locality": "Foster City",
            "name": "www.qualys.com",
            "state": "California",
            "country": "US",
            "organizationUnit": []
        },
        "validFrom": 1676246400000,
        "signatureAlgorithm": "SHA256withRSA",
        "issuer": {
            "organization": "DigiCert Inc",
            "organizationUnit": [
                "www.digicert.com"
            ],
            "name": "DigiCert SHA2 Extended Validation Server CA",
            "country": "US",
            "state": "",
            "certhash": "403e062a2653059113285baf80a0d4ae422c848c9f78fad01fc94bc5b87fef1a",
            "locality": ""
        },
        "rootissuer": {
            "organization": "DigiCert Inc",
            "organizationUnit": [
                "www.digicert.com"
            ],
            "name": "DigiCert High Assurance EV Root CA",
            "country": "US",
            "state": "",
            "certhash": "7431e5f4c3c1ce4690774f0b61e05440883ba9a01ed00ba6abd7806ed3b118cf",
            "locality": ""
        },
        "instanceCount": 2,
        "dn": "CN=www.qualys.com, O=\"Qualys, Inc.\", L=Foster
City, ST=California, C=US, serialNumber=3152140,
businessCategory=Private Organization, StateOrProvince=Delaware,
CountryName=US","certhash": "192a86240c5ec5d87dd108f17e2543e78439101f193c99c53193f60d115b885d",
        "assets": [
            {
                "netbiosName": "",
                "assetId": "99f29795-4c11-49e1-8898-82e9982b0710",
                "name": "qualys.com",
                "operatingSystem": "NetScaler",
                "tags": [
                    {
                        "name": "Internet Facing Assets",
                        "uuid": "d2ba3be1-66a3-4d1f-89fadd534a2bccc1"
                    }
                ],
                "primaryIp": "64.39.xx.xxx",
                "hostInstances": [
                    {
                        "protocol": "tcp",
                        "sslProtocols": [
                            "TLSv1.2"
                        ],
                        "port": 443,
                        "grade": "A",
                        "service": "http",
                        "vulnerabilities": [],
                        "vulnCount": 0
                    }
                ],
                "created": 1680247510486,
                "updated": 1680247131000,
                "assetInterfaces": [
                    {
                        "hostname": "qualys.com",
                        "address": "64.39.xx.xxx"
                    }
                ],
                "certificateCount": 0
            },
            {
                "netbiosName": "",
                "assetId": "646c7aa5-cfdc-4294-bea7-d43664ac03f4",
                "name": "www.qualys.com",
                "operatingSystem": "NetScaler",
                "tags": [
                    {
                        "name": "Internet Facing Assets",
                        "uuid": "d2ba3be1-66a3-4d1f-89fadd534a2bccc1"
                    }
                ],
                "primaryIp": "64.39.xx.xxx",
                "hostInstances": [
                    {
                        "protocol": "tcp",
                        "sslProtocols": [
                            "TLSv1.2"
                        ],
                        "port": 443,
                        "grade": "A",
                        "service": "http",
                        "vulnerabilities": [],
                        "vulnCount": 0
                    }
                ],
                "created": 1675158036000,
                "updated": 1680254412000,
                "assetInterfaces": [
                    {
                        "hostname": "www.qualys.com",
                        "address": "64.39.xx.xxx"
                    }
                ],
                "certificateCount": 0
            }
        ],
        "selfSigned": false,
        "validTo": 1707868799000,
        "issuerCategory": "DigiCert SHA2 Extended Validation Server
            CA","subjectAlternativeNames": {
            "DNS Name": [
                "www.qualys.com",
                "qualys.com",
                "docs.qualys.com",
                "qualys.dk",
                "qualys.us",
                "qualys.de",
                "qualys.biz",
                "nemeannetworks.com",
                "qualys.fr",
                "www.qualys.eu",
                "qualys.io",
                "qualysguard.tw",
                "www.securityvibes.co.uk",
                "qualys.es",
                "qualysoblog.net",
                "qualys.nl",
                "qualys.report",
                "qualysinsight.com",
                "qualysworks.net",
                "qualysguard.eu",
                "qualysguard.com",
                "qualys.eu",
                "www.qualysguard.eu"
            ],
            "IP Address": null
        },
        "lastFound": 1680256864611,
        "extendedValidation": true,
        "sources": [
            "VM",
            "QAGENT"
        ]
    }
]
    

Sample with Certificate Details Parameter set to ExtendedSample with Certificate Details Parameter set to Extended

API Request

 curl -X POST 
 "<qualys_base_url>/certview/v1/certificates" 
-H "Accept: application/json" -H "Content-Type: application/json" 
-d "{ \"filter\" : \"subject.name:www.qualys.com\", \"pageNumber\": 0, \"pageSize\" : 1, \"certificateDetails\": \"extended\"}"
 -H "Authorization: Bearer <JWT Token>"
    

Response

  [
    {
        "keySize": 2048,
        "subject": {
            "organization": "Qualys, Inc.",
            "locality": "Foster City",
            "name": "www.qualys.com",
            "state": "California",
            "country": "US",
            "organizationUnit": []
        },
        "validFrom": 1676246400000,
        "signatureAlgorithm": "SHA256withRSA",
        "issuer": {
            "organization": "DigiCert Inc",
            "organizationUnit": [
                "www.digicert.com"
            ],
            "name": "DigiCert SHA2 Extended Validation Server CA",
            "country": "US",
            "state": "",
            "certhash": "403e062a2653059113285baf80a0d4ae422c848c9f78fad01fc94bc5b87fef1a",
            "locality": ""
        },
        "rootissuer": {
            "organization": "DigiCert Inc",
            "organizationUnit": [
                "www.digicert.com"
            ],
            "name": "DigiCert High Assurance EV Root CA",
            "country": "US",
            "state": "",
            "certhash": "7431e5f4c3c1ce4690774f0b61e05440883ba9a01ed00ba6abd7806ed3b118cf",
            "locality": ""
        },
        "instanceCount": 2,
        "dn": "CN=www.qualys.com, O=\"Qualys, Inc.\", L=Foster City,
ST=California, C=US, serialNumber=3152140,
businessCategory=Private Organization, StateOrProvince=Delaware,
CountryName=US","certhash": "192a86240c5ec5d87dd108f17e2543e78439101f193c99c53193f60d115b885d",
        "assets": [
            {
                "netbiosName": "",
                "assetId": "99f29795-4c11-49e1-8898-82e9982b0710",
                "name": "qualys.com",
                "operatingSystem": "NetScaler",
                "tags": [
                    {
                        "name": "Internet Facing Assets",
                        "uuid": "d2ba3be1-66a3-4d1f-89fa-dd534a2bccc1"
                    }
                ],
                "primaryIp": "64.39.xx.xxx",
                "hostInstances": [
                    {
                        "protocol": "tcp",
                        "sslProtocols": [
                            "TLSv1.2"
                        ],
                        "port": 443,
                        "grade": "A",
                        "service": "http",
                        "vulnerabilities": [],
                        "vulnCount": 0
                    }
                ],
                "created": 1680247510486,
                "updated": 1680247131000,
                "assetInterfaces": [
                    {
                        "hostname": "qualys.com",
                        "address": "64.39.xx.xxx"
                    }
                ],
                "certificateCount": 0
            },
            {
                "netbiosName": "",
                "assetId": "646c7aa5-cfdc-4294-bea7-d43664ac03f4",
                "name": "www.qualys.com",
                "operatingSystem": "NetScaler",
                "tags": [
                    {
                        "name": "Internet Facing Assets",
                        "uuid": "d2ba3be1-66a3-4d1f-89fa-dd534a2bccc1"
                    }
                ],
                "primaryIp": "64.39.xx.xxx",
                "hostInstances": [
                    {
                        "protocol": "tcp",
                        "sslProtocols": [
                            "TLSv1.2"
                        ],
                        "port": 443,
                        "grade": "A",
                        "service": "http",
                        "vulnerabilities": [],
                        "vulnCount": 0
                    }
                ],
                "created": 1675158036000,
                "updated": 1680254412000,
                "assetInterfaces": [
                    {
                        "hostname": "www.qualys.com",
                        "address": "64.39.xx.xxx"
                    }
                ],
                "certificateCount": 0
            }
        ],
        "selfSigned": false,
        "validTo": 1707868799000,
        "issuerCategory": "DigiCert SHA2 Extended Validation Server
    CA","serialNumber": "05e2ad055846148575bc6476367916b7",
        "subjectAlternativeNames": {
            "DNS Name": [
                "www.qualys.com",
                "qualys.com",
                "docs.qualys.com",
                "qualys.dk",
                "qualys.us",
                "qualys.de",
                "qualys.biz",
                "nemeannetworks.com",
                "qualys.fr",
                "www.qualys.eu",
                "qualys.io",
                "qualysguard.tw",
                "www.securityvibes.co.uk",
                "qualys.es",
                "qualysoblog.net",
                "qualys.nl",
                "qualysguard.eu",
                "qualysguard.com",
                "qualys.eu",
                "www.qualysguard.eu"
            ],
            "IP Address": null
        },
        "lastFound": 1680256864611,
        "extendedValidation": true,
        "keyUsage": [
            "Digital signature",
            "Key encipherment"
        ],
        "rawData": "-----BEGIN CERTIFICATE-----
    \nMIIIgjCCB2qgAwIBAgIQBeKtBVhGFIV1vGR2NnkWtzANBgkqhkiG9w0BAQsFADB1
.
.
.
\n3qJWZEALApKny0Ee3wTSgny5BNwo2Q==\n-----END CERTIFICATE-----\n","enhancedKeyUsage": [
            "1.3.6.1.5.5.7.3.1",
            "1.3.6.1.5.5.7.3.2"
        ],
        "subjectKeyIdentifier": "09e86635b5be04d2e15799575902a92d7e330fba",
        "authKeyIdentifier": "3dd350a5d6a0adeef34a600a65d321d4f8f8d60f",
        "sources": [
            "VM",
            "QAGENT"
        ]
    }
]   

Sample for Certificate Details for Assets Detected by WASSample for Certificate Details for Assets Detected by WAS

API Request

curl -X 'POST'
 '<qualys_base_url>/certview/v1/certificates'
 -H 'accept: application/json'
 -H 'Bearer <JWT Token>'
 -H 'Content-Type: application/json'
 -d '{
 "certificateDetails": "basic",
 "filter": "asset:(wasUrl: 'api.example.com') and certificate:(type:
'Leaf')",
 "pageNumber": 0,
 "pageSize": 10,
 "sort": "[{\"lastFound\":"desc\"}]"
}' 

Response

[
     {
         "keySize":2048,
         "subject":{
             "organization":"Qualys, Inc.",
             "locality":"Foster City",
             "name":"api.example.com",
             "state":"California",
             "country":"US",
             "organizationUnit":[
                
            ] 
        },
         "validFrom":1694649600000,
         "signatureAlgorithm":"SHA256withRSA",
         "issuer":{
             "organization":"DigiCert Inc",
             "organizationUnit":[
                
            ],
             "name":"DigiCert Global G2 TLS RSA SHA256 2020 CA1",
             "country":"US",
             "state":"",
             "certhash":"c8025f9fc65fdfc95b3ca8cc7867b9a587b5277973957917463fc813d0b625a9",
             "locality":"" 
        },
         "rootissuer":{
             "organization":"DigiCert Inc",
             "organizationUnit":[
                 "www.digicert.com" 
            ],
             "name":"DigiCert Global Root G2",
             "country":"US",
             "state":"",
             "certhash":"cb3ccbb76031exxxxxf8dd39a23f9de47ffc35exxxxx44cea27d4xxxxx1cb5f",
             "locality":"" 
        },
         "instanceCount":2,
         "dn":"CN=api.example.com, O=\"Qualys, Inc.\", L=Foster City,
ST=California, C=US",
         "certhash":"66130b830cfxxxxxfd7ed70144f9xxxxxae0b4304c65xxxxx7bc7257975bd",
         "assets":[
             {
                 "netbiosName":"",
                 "assetId":"da8b9f2c-a594-413d-91b4-b5fc6b125e25",
                 "name":"api.example.com",
                 "tags":[
                     {
                        "name":"YJ_BU1",
                         "uuid":"2f0954c3-ffb8-4019-bfc5-7630a23c317d" 
                    } 
                ],
                 "primaryIp":"192.0.2.0",
                 "hostInstances":[
                     {
                         "protocol":"tcp",
                         "sslProtocols":[
                             "SSLv3",
                             "TLSv1",
                             "TLSv1.2",
                             "TLSv1.1" 
                        ],
                         "port":443,
                         "grade":"C",
                         "service":"http",
                         "vulnerabilities":[
                             {
                                 "title":"SSLv3.0/TLSv1.0 Protocol Weak CBC Mode Server
Side Vulnerability (BEAST)",
                                 "severity":3,
                                 "qid":42366
 
                            },
                             {
                                 "title":"Secure Sockets Layer/Transport Layer Security
(SSL/TLS) Use of Weak Cipher Rivest Cipher 4 (RC4/ARC4/ARCFOUR)",
                                 "severity":3,
                                 "qid":38601
 
                            },
                             {
                                 "title":"SSLv3 Padding Oracle Attack Information
Disclosure Vulnerability (POODLE)",
                                 "severity":3,
                                 "qid":38603
 
                            } 
                        ],
                         "vulnCount":3
 
                    } 
                ],
                 "created":1715908545114,
                 "updated":1715908545114,
                 "assetInterfaces":[
                     {
                         "hostname":"api.example.com",
                         "address":"192.0.2.0" 
                    } 
                ],
                 "certificateCount":0
            },
             {
                 "netbiosName":"",
                 "assetId":"9c07ae8b-c051-4b9d-8a2d-21075c812658",
                 "name":" api.example.com",
                 "operatingSystem":"",
                 "wasUrl":"https://api.example.com",
                 "hostInstances":[
                     {
                         "protocol":"tcp",
                         "sslProtocols":[
                             "SSLv3",
                             "TLSv1",
                             "TLSv1.2",
                             "TLSv1.1" 
                        ],
                         "port":443,
                         "grade":"C",
                         "service":"",
                         "vulnerabilities":[
                            
                        ],
                         "vulnCount":0
 
                    } 
                ],
                 "created":1715906342000,
                 "updated":1715906522000,
                 "assetInterfaces":[
                     {
                         "hostname":" api.example.com",
                         "address":"" 
                    } 
                ],
                 "certificateCount":0
 
            } 
        ],
         "selfSigned":false,
        "type":"Leaf",
         "validTo":1726271999000,
         "issuerCategory":"unapproved",
         "subjectAlternativeNames":{
             "DNS Name":[
                 "api.example.com" 
            ],
             "IP Address":null
 
        },
         "lastFound":1715908545114,
         "extendedValidation":false,
         "sources":[
             "VM",
             "WAS"
        ] 
    }
]

Sample for Certificate Details based on Certificate TypeSample for Certificate Details based on Certificate Type

API Request

curl -X 'POST'
 '<qualys_base_url>/certview/v1/certificates'
 -H 'accept: application/json'
 -H 'Bearer <JWT Token>'
 -H 'Content-Type: application/json'
 -d '{
 "certificateDetails": "basic",
  "filter": "type:root",
  "pageNumber": 0,
  "pageSize": 10,
  "sort": "[{\"lastFound\": \"desc\"}]"
} 

Response

[
  {
    "keySize": 4096,
    "subject": {
      "organization": "Qualys, Inc.",
      "locality": "",
      "name": "Qualys Root CA - G1",
      "state": "",
      "country": "US",
      "organizationUnit": [
        "Operations"
      ]
    },
    "validFrom": 1641492446000,
    "signatureAlgorithm": "SHA256withRSA",
    "issuer": {
      "organization": "Qualys, Inc.",
      "organizationUnit": [
        "Operations"
      ],
      "name": "Qualys Root CA - G1",
      "country": "US",
      "state": "",
      "certhash": "",
      "locality": ""
    },
    "instanceCount": 6,
    "dn": "CN=Qualys Root CA - G1, OU=Operations, O=\"Qualys, Inc.\", C=US",
    "certhash": "2a1d95f5530c489c25bb90013939d1bfde7eeb3a5067c2ef281f21ea927873db",
    "assets": [
      {
        "netbiosName": "",
        "assetId": "d7361bfa-ed52-4111-a40d-daab8bea0bbf",
        "name": "qflow-engine.example.qualys.com",
        "tags": [
          {
            "name": "Unmanaged",
            "uuid": "18e7a720-9bd8-4f25-8047-9550de11c63c"
          },
          {
            "name": "Shodan",
            "uuid": "3940ff64-5b74-4cea-9cbf-d3cb4a187043"
          },
          {
            "name": "EASM",
            "uuid": "5bf323ff-688d-4249-84ae-72fb50e0547a"
          },
          {
            "name": "EASM Confidence High",
            "uuid": "144bb81d-f202-43ed-a881-cea6664f345a"
          },
          {
            "name": "cert",
            "uuid": "a02d5d7e-1c65-4a4f-b99f-ce54d00ad387"
          },
          {
            "name": "YJ_BU1",
            "uuid": "2f0954c3-ffb8-4019-bfc5-7630a23c317d"
          }
        ],
        "primaryIp": "64.39.xx.xx",
        "hostInstances": [
          {
            "protocol": "tcp",
            "sslProtocols": [
              "TLSv1.2"
            ],
            "port": 443,
            "grade": "N/A",
            "service": "https",
            "vulnerabilities": [],
            "vulnCount": 0
          }
        ],
        "created": 1732712308000,
        "updated": 1734470640000,
        "assetInterfaces": [
          {
            "hostname": "",
            "address": "64.39.xx.xx"
          }
        ],
        "certificateCount": 0
      },
      .
      .
      .
      {
        "netbiosName": "",
        "assetId": "734e2060-a866-4350-bfee-109adf41c9c8",
        "name": "qconsul.example.qualys.com",
        "operatingSystem": "Citrix NetScaler",
        "tags": [
          {
            "name": "Certview 2023-08-29",
            "uuid": "a8f57d01-3887-4cc2-bc60-e51a10da6949"
          },
          {
            "name": "YJ_BU1",
            "uuid": "2f0954c3-ffb8-4019-bfc5-7630a23c317d"
          }
        ],
        "primaryIp": "10.44.xx.xx",
        "hostInstances": [
          {
            "protocol": "tcp",
            "sslProtocols": [
              "TLSv1.2"
            ],
            "port": 443,
            "grade": "T",
            "service": "https",
            "vulnerabilities": [
              {
                "title": "SSL Certificate - Signature Verification Failed Vulnerability",
                "severity": 2,
                "qid": 38173
              },
              {
                "title": "SSL Certificate - Self-Signed Certificate",
                "severity": 2,
                "qid": 38169
              }
            ],
            "vulnCount": 2
          }
        ],
        "created": 1731633596000,
        "updated": 1732765363000,
        "assetInterfaces": [
          {
            "hostname": "qconsul.example.qualys.com",
            "address": "10.44.xx.xx"
          }
        ],
        "certificateCount": 0
      },
      
      {
        "netbiosName": "",
        "assetId": "d3046ab6-d646-4064-851c-7c535e7ef30c",
        "name": "jobd2.qg1.apps.qualys.eu",
        "tags": [
          {
            "name": "RC",
            "uuid": "1e883f10-352f-4445-bc71-d82342e518ff"
          },
          {
            "name": "Unmanaged",
            "uuid": "18e7a720-9bd8-4f25-8047-9550de11c63c"
          },
          {
            "name": "Shodan",
            "uuid": "3940ff64-5b74-4cea-9cbf-d3cb4a187043"
          },
          {
            "name": "EASM",
            "uuid": "5bf323ff-688d-4249-84ae-72fb50e0547a"
          },
          {
            "name": "EASM Confidence High",
            "uuid": "144bb81d-f202-43ed-a881-cea6664f345a"
          },
          {
            "name": "cert",
            "uuid": "a02d5d7e-1c65-4a4f-b99f-ce54d00ad387"
          },
          {
            "name": "YJ_BU1",
            "uuid": "2f0954c3-ffb8-4019-bfc5-7630a23c317d"
          },
          {
            "name": "rcbuild3900",
            "uuid": "5cf5fa82-55cf-440a-8080-06b47d400162"
          }
        ],
        "primaryIp": "64.39.xx.xx",
        "hostInstances": [
          {
            "protocol": "tcp",
            "sslProtocols": [
              "TLSv1.2"
            ],
            "port": 443,
            "grade": "N/A",
            "service": "https",
            "vulnerabilities": [],
            "vulnCount": 0
          }
        ],
        "created": 1732712537000,
        "updated": 1734470640000,
        "assetInterfaces": [
          {
            "hostname": "",
            "address": "64.39.1xx.xx7"
          }
        ],
        "certificateCount": 0
      }
    ],
    "selfSigned": true,
    "validTo": 2429892445000,
    "issuerCategory": "Self-Signed",
    "subjectAlternativeNames": {
      "DNS Name": null,
      "IP Address": null
    },
    "lastFound": 1734470640000,
    "extendedValidation": false,
    "sources": [
      "EASM",
      "VM"
    ],
    "type": "Root"
  },
  {
    "keySize": 2048,
    "subject": {
      "organization": "DigiCert Inc",
      "locality": "",
      "name": "DigiCert Test Root CA",
      "state": "",
      "country": "US",
      "organizationUnit": [
        "www.digicert.com"
      ]
    },
    "validFrom": 1163116800000,
    "signatureAlgorithm": "SHA1withRSA",
    "issuer": {
      "organization": "DigiCert Inc",
      "organizationUnit": [
        "www.digicert.com"
      ],
      "name": "DigiCert Test Root CA",
      "country": "US",
      "state": "",
      "certhash": "",
      "locality": ""
    },
    "instanceCount": 1,
    "dn": "CN=DigiCert Test Root CA, OU=www.digicert.com, O=DigiCert Inc, C=US",
    "certhash": "a3ac53581e043271878a12124c36660a443321e5a68418c3bc56dab9b1a4d674",
    "assets": [
      {
        "netbiosName": "ADCONNECT-01",
        "assetId": "8af91982-de8c-43a8-8596-dc962b241993",
        "name": "10.113.196.196",
        "operatingSystem": "EulerOS / SuSE Linux / Scientific Linux",
        "tags": [
          {
            "name": "YJ_BU1",
            "uuid": "2f0954c3-ffb8-4019-bfc5-7630a23c317d"
          }
        ],
        "primaryIp": "10.113.xx.xx",
        "hostInstances": [
          {
            "protocol": "tcp",
            "sslProtocols": [
              "SSLv3",
              "TLSv1"
            ],
            "port": 443,
            "grade": "T",
            "service": "https",
            "vulnerabilities": [
              {
                "title": "SSL Certificate - Signature Verification Failed Vulnerability",
                "severity": 2,
                "qid": 38173
              },
              {
                "title": "SSL Certificate - Subject Common Name Does Not Match Server FQDN",
                "severity": 2,
                "qid": 38170
              },
              {
                "title": "SSLv3.0/TLSv1.0 Protocol Weak CBC Mode Server Side Vulnerability (BEAST)",
                "severity": 3,
                "qid": 42366
              },
              {
                "title": "Secure Sockets Layer/Transport Layer Security (SSL/TLS) Use of Weak Cipher Rivest Cipher 4 (RC4/ARC4/ARCFOUR)",
                "severity": 3,
                "qid": 38601
              },
              {
                "title": "SSL Certificate - Self-Signed Certificate",
                "severity": 2,
                "qid": 38169
              },
              {
                "title": "SSLv3 Padding Oracle Attack Information Disclosure Vulnerability (POODLE)",
                "severity": 3,
                "qid": 38603
              }
            ],
            "vulnCount": 6
          }
        ],
        "created": 1718710520000,
        "updated": 1732513434000,
        "assetInterfaces": [
          {
            "hostname": "adconnect-0.ad.sofi1.com",
            "address": "10.113.xx.xx"
          }
        ],
        "certificateCount": 0
      }
    ],
    "selfSigned": true,
    "validTo": 1952035200000,
    "issuerCategory": "Self-Signed",
    "subjectAlternativeNames": {
      "DNS Name": null,
      "IP Address": null
    },
    "lastFound": 1732513434000,
    "extendedValidation": false,
    "sources": [
      "VM"
    ],
    "type": "Root"
  }
]

v1.1

POST/certview/v1.1/certificates

Use these API functions to List CertView Certificates to retrieve a list of certificates based on an input filter query and list.

The response contains certificate details, including associated host information and SSL/TLS-related vulnerabilities and grades.

 You can see only the assets your manager user assigned. When you send an API request, you can access information about the assets and their corresponding certificates assigned to you, based on scope. For more information on tag-based user scoping, refer to Certificate View Online help.

Input ParametersInput Parameters

Parameter

Mandatory/Optional

Data Type

Description

filter 

Optional String

Filter the events list by providing a query using

Qualys syntax. Refer to the How to Search topic in the online

help for assistance with creating your query.

For example - expiryGroup: Expired

Refer to the list of tokens you can use to build the query:

Search tokens

pageNumber 

Optional Integer

The page to be returned. Starts from zero.

pageSize 

Optional Integer

Provide the number of records per page to be included in the response.

Default: 10.

Maximum: 200

For example, the total result set is 50 assets. If the page size is

specified as 10, then the result is divided in 5 pages with 10

assets each.

sort 

Optional String

Sort the results using a Qualys token.

For example - [{"lastFound":"desc"}]

Authorization 

Mandatory String

Authorization token to authenticate to the Qualys Cloud Platform.

Prepend token with "Bearer" and one space.

For example - Bearer authToken

certificateDetails 

Optional String

Define the level of certificate attributes you want to list. Default value basic is used to fetch commonly used attributes. Use value extended to fetch these additional attributes:

  • Serial number

  • Auth Key Identifier

  • Subject Key Identifier

  • Key Usage

  • Base64 certificate

  • Enhanced Key Usage

The enhancedKeyUsage attribute returns a list of OIDs in the EKU attribute of the certificate.

Some of the most commonly used OIDs are:

  • 1.3.6.1.5.5.7.3.1—Server Authentication

  • 1.3.6.1.5.5.7.3.2—Client Authentication

  • 1.3.6.1.5.5.7.3.3—Code Signing

  • 1.3.6.1.5.5.7.3.4—Email Protection

  • 1.3.6.1.5.5.7.3.8—Time Stamping

  • 1.3.6.1.5.5.7.3.9—OCSP Signing

 For more information, refer to http://www.oid-info.com/

Notes:

  • This API supports both new and old query formats. The following query example provides more details.

  • Example

    If you want to view the certificate with the asset name server1.

    Old Format

    asset.name:server1

    New Format

    asset:(name:server1)

  • To generate a CSV report for more than 10000 certificates, use scheduled reports from the Qualys Enterprise TruRisk™ Platform.

  • If the data you are looking for is unavailable in CSV reports, use an additional filter instead of requesting all certificates.

You can use the following filters for better results:

  • Last Found Date < 1 month/3months/6 months

  • Expiration Date < 1 yr/ between 1yr and 2 yrs/etc

  • Approved vs. Unapproved CAs vs. Self-signed CAs

Sample: Get details of the response based on revocation status Sample: Get details of the response based on revocation status 

API Request

curl -X 'POST'   '<qualys_base_url>/certview/v1.1/certificates'   
-H 'accept: application/json'   
-H 'Authorization: Bearer <JWT Token> -H 'Content-Type: application/json'    -d' {   "certificateDetails": "basic",   "filter": "certificate:(revocationStatus:Not Revoked)",   "pageNumber": 0,   "pageSize": 10,   "sort": "[{\"lastFound\": \"desc\"}]" }'

Response

[     {         "keySize":2048,         "subject":{             "organization":"Qualys, Inc.",             "locality":"Foster City",             "name":"example.qualys.com",             "state":"California",             "country":"US",             "organizationUnit":[                              ]         },         "validFrom":1725408000000,         "signatureAlgorithm":"SHA256withRSA",         "issuer":{             "organization":"DigiCert Inc",             "organizationUnit":[                              ],             "name":"DigiCert Global G2 TLS RSA SHA256 2020 CA1",             "country":"US",             "state":"",             "certhash":"1f8eb9e9a8e066cc5b3833e06b3129764b622639d5b163f600e1c79120bf3eed",             "locality":""         },         "rootissuer":{             "organization":"DigiCert Inc",             "organizationUnit":[                 "www.digicert.com"             ],             "name":"DigiCert Global Root G2",             "country":"US",             "state":"",             "certhash":"cb3ccbb76031e5e0138f8dd39a23f9de47ffc35e43c1144cea27d46a5ab1cb5f",             "locality":""         },         "instanceCount":1,         "dn":"CN=example.qualys.com, O=\"Qualys, Inc.\", L=Foster City, ST=California, C=US",         "certhash":"6dca79243d2c31796050ebcfa6bc251f28f1805dd6528149d55e6ced047a6c47",         "assets":[             {                 "netbiosName":"",                 "assetId":"ef4b82e0-947e-4054-a719-92cdb4efdfbc",                 "name":"example.qualys.com",                 "operatingSystem":"Debian Project Debian Bookworm (12)",                 "tags":[                     {                         "name":"john%27;alert(1);//",                         "uuid":"cadd8477-ce01-4d81-a86c-dc909304ed24"                     },                     {                         "name":"cc-patrick",                         "uuid":"1ab38d53-d1db-4974-b4d2-e3ada2618b5c"                     },                     {                         "name":"TESTING123",                         "uuid":"91942cbd-48c9-4a9e-8b31-64d82786bac7"                     },                     {                         "name":"CV_7174_Child",                         "uuid":"e6222427-8b26-4dfe-b439-0984c3cbe175"                     },                     {                         "name":"TestDynamicTagRule",                         "uuid":"833a2acb-e2da-40b8-836b-2eb2a89fde0a"                     },                     {                         "name":"aa-patrick",                         "uuid":"899b67a0-2cb4-4b70-85a8-fb83eb45bb80"                     }                 ],                 "primaryIp":"10.xx.xx.xx",                 "hostInstances":[                     {                         "protocol":"tcp",                         "sslProtocols":[                             "TLSv1.3",                             "TLSv1.2"                         ],                         "port":443,                         "grade":"A+",                         "service":"https",                         "vulnerabilities":[                                                      ],                         "vulnCount":0                     }                 ],                 "created":1697629214000,                 "updated":1751363356000,                 "assetInterfaces":[                     {                         "hostname":"example.qualys.com",                         "address":"10.xx.xx.xx"                     }                 ],                 "certificateCount":0             }         ],         "selfSigned":false,         "validTo":1756943999000,         "issuerCategory":"DigiCert Global G2 TLS RSA SHA256 2020 CA1",         "subjectAlternativeNames":{             "DNS Name":[                 "example.qualys.com"             ],             "IP Address":null         },         "lastFound":1751363356000,         "extendedValidation":false,         "sources":[             "VM"         ],         "type":"Leaf",         "revocationStatus":"Not Revoked"     } ]

API Version History

The following table depicts the information about the different versions of this API, along with the status:

API version Status EOS EOL
/certview/v1.1/certificates Active    
/certview/v1/certificates To be deprecated January 2026 July 2026